using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MathNet.Numerics.LinearAlgebra.Single;

namespace bbiwarg.InputProviders
{
    interface IInputProvider
    {
        void init();
        void start();
        void stop();
        void updateFrame();
        void releaseFrame();

        float getFrameRate();
        int getCurrentMovieFrame();
        float getHFOV();
        float getVFOV();
        bool isActive();

        InputFrame getInputFrame();

        bool sourceIsMovie();
        void pauseMovie();
        void unpauseMovie();
        void reversePlay();
    }
}
